<template>
  <el-scrollbar fill=true class="scrollbar">
    <el-space wrap>
      <el-card v-for="(item, index) in activities" class="box-card" :key="index">
        <template #header>
          <div class="card-header">
            <span>{{ item.name }}</span>
            <span :class="down[index]?'down-arrow':'up-arrow'" @click="down[index]=!down[index]"></span>
          </div>
        </template>
        <div v-for="o in 4" :key="o" class="text item" v-if="down[index]">
          {{ 'List item ' + o }}
        </div>
      </el-card>
    </el-space>
    </el-scrollbar>
  
</template>


<script>
export default {
    name:"search",
    data(){
        return {
            down:[0,0,0,0,0,0,0,0,0,0],
            activities:[{name:"1", datas:[]},{name:"2", datas:[]},{name:"3", datas:[]},{name:"4", datas:[]},{name:"5", datas:[]},
                        {name:"6", datas:[]},{name:"7", datas:[]},{name:"8", datas:[]},{name:"9", datas:[]},{name:"10", datas:[]},]
        }
    }
}
</script>


<style scoped>
.scrollbar{
    height: 500px;
    width:600px;
    border-color: rgb(141, 203, 237);
    border-style:solid;
    border-radius: 5px;
    border-width:1px;
}
.box-card{
  width: 590px;
}
.scrollbar-demo-item {
    display: flex;
    align-items: center;
    height: 60px;
    margin: 10px;
    border-radius: 4px;
    background: var(--el-color-primary-light-9);
    color: var(--el-color-primary);
}
.down-arrow {
    display: inline-block;
    vertical-align: top;
    border-top: 10px solid #6f6a6a;
    border-right: 10px solid transparent;
    border-left: 10px solid transparent;
    content: "";
    margin-top: 5px;
    margin-left: 10px;
    cursor: pointer;
}
.up-arrow {
  display: inline-block;
  vertical-align: top;
  border-bottom: 10px solid #6f6a6a;
  border-right:10px solid transparent;
  border-left: 10px solid transparent;
  content: "";
  margin-top: 5px;
  margin-left: 10px;
  cursor: pointer;
}
</style>